Aira 架构设计规范与决策记录(RFC / ADR)
本文档索引 Aira 系统的架构设计提案(RFC)与关键架构决策记录(ADR)。 规范编制遵循产品宪法 §0与 开发约定的分层原则:成熟通用算法复用,AI CAD 架构自主创新;单一权威与共享执行防止重复实现,现有架构作为可演进基线。
核心系统架构 RFC
Section titled “核心系统架构 RFC”定义 Aira 系统的整体分层、内核抽象、状态机与事务生命周期。
定义统一的 Machine API 发现机制,使 AI 与人通过同一套强类型接口使用建模系统。
诊断、编译与交换规范
Section titled “诊断、编译与交换规范”- RFC-0003: 证书保证与错误诊断:统一的 Diagnostics 错误代码与密码学可信凭据体系。
- RFC-0004: AMIR 查询编译器:将 AI/客户端的高阶查询编译为确定性拓扑与几何检索。
- RFC-0005: 导出边界与信息损失证书:数据格式转换与 STEP 导出时的显式保真度与损失披露。
- RFC-0015: 网关 Agent 异常事件流:AI 网关长任务调度、费用熔断与问题事件协议。
精确建模算子规范(Phase 1 Exact Operations)
Section titled “精确建模算子规范(Phase 1 Exact Operations)”- RFC-0006: Phase 1 精确建模总契约:参数化特征图与 B-Rep 操作的通用基线。
- RFC-0007: Lane F 工业隐式场建模能力:隐式场几何表征与多表示交互。
- RFC-0008: 语义引用留存与查询:拓扑修改后特征引用的稳定重绑定与拓扑自愈机制。
- RFC-0009: 实体旋转特征算子:草图截面沿轴线旋转成形。
- RFC-0010: 几何边线选择器:强类型、抗拓扑漂移的边线选择过滤。
- RFC-0011: 实体倒圆角算子:B-Rep 拓扑圆角成形与容错处理。
- RFC-0012: 实体倒斜角算子:对称与非对称倒角成形契约。
- RFC-0013: 实体抽壳算子:均匀壁厚抽壳与指定面开孔契约。
- RFC-0014: 实体布尔差集算子:非破坏性几何差集与拓扑跟踪。
架构决策记录(ADR)
Section titled “架构决策记录(ADR)”- ADR-CORE-002: 建模操作模块化组织:操作模块的注册、隔离与动态加载策略。
- ADR-CORE-003: 本地任务历史保留与生命周期:IndexedDB 本地修订存储、LRU 清理与撤销重做链。
- ADR-EVAL-001: 评测体系 Python 工具链选型:独立验证器与 CAD 基准测试运行时隔离。
- ADR-EVAL-008: Aira Evals 开源组件复用策略:评测套件对开源评估工具的继承与自研边界。